$.fn.browse = function (option) {
    var current = $(this);
    var event = function () {
        current.click();
    };
    if (current.attr('type') !== 'file') {
        throw 'This Element type not `file`';
    }
    var o = $.extend({
        'input' : '<input type="text" name="file" />',
        'button' : '<button>ファイルを開く</button>'
    }, option);
    current.after(o.input, o.button).css({
        'position' : 'absolute',
        'top' : '-9999px'
    }).change(function () {
        var val = current.val();
        var path = val.replace(/\\/g, '/');
        var match = path.lastIndexOf('/');
        current.next().val(match !== -1 ? val.substring(match + 1) : val);
    });

    current.next().bind('keyup, keydown, keypress', function () {
        return false;
    }).click(event).next().click(event);
};