import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_LearningHARK001(self):
        self.zoom(3)
        for node in ["Iterate", "AudioStreamFromMic",
                     "MatrixToMap", "SaveWavePCM"]:
            self.addNode(node)
        self.reshape()
        self.connect("node_MatrixToMap_1", "OUTPUT",
                     "node_SaveWavePCM_1", "INPUT")
        self.connect("node_AudioStreamFromMic_1", "AUDIO",
                     "node_MatrixToMap_1", "INPUT")
        self.reshape()

if __name__ == "__main__":
    unittest.main()
