import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addNode("Constant")
        self.addNode("InputStream")
        self.reshape()

        self.screenshot("png", "tutorial1-1_", doNothing=True)

        self.connect("node_Constant_1", "VALUE",
                     "node_InputStream_1", "INPUT")

        # take a picture
        self.reshape()
        self.screenshot("png", "tutorial1-2_", doNothing=True)

if __name__ == "__main__":
    unittest.main()
